Skip to main content
GET
/
v1
/
webhooks
/
{webhookId}
Get a webhook
curl --request GET \
  --url https://api.waycore.com/v1/webhooks/{webhookId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "url": "<string>",
  "events": [
    "connection.status_changed"
  ],
  "secret": "<string>",
  "active": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Client Credentials issuing JWT Bearer access tokens.

Path Parameters

webhookId
string
required

Query Parameters

fields
string | null

Comma-separated sparse fieldset. The server always includes required identifiers.

Response

Successful Response

id
string
required

Stable, immutable identifier for the webhook registration.

url
string
required

HTTPS URL where events are delivered via POST.

events
enum<string>[]
required

Event types this webhook subscribes to.

Available options:
connection.status_changed,
account.created,
account.updated,
transactions.sync_available,
transfer.status_changed,
test
secret
string
required

HMAC-SHA256 signing secret. The server includes a Waycore-Signature header on each delivery. Only returned in full on creation; subsequent reads return a masked value.

active
boolean
required

Whether the webhook is currently receiving deliveries.

createdAt
string<date-time>
required

When the webhook was registered.

updatedAt
string<date-time>
required

When the webhook registration last changed.

metadata
Metadata · object

Opaque client-defined metadata.